#include <avr/io.h>
#include <stdint.h>
#include <util/delay.h>
#include <util/atomic.h>
#include <string.h>

#include "UART.h"
#include "RFM12.h"

int main()
{
 uint8_t i, j;
 uint8_t anzeige_daten[PAKET_LEN];
  
  uart_init();
  uart_send_text("\r\nUART Init ok\r\n");

  rfm12_init();
  uart_send_text("\r\nRFM12 Init ok\r\n");

  while(1)
    {
      for (i = 0; i<SENSOR_ANZ; i++)
        {
          ATOMIC_BLOCK(ATOMIC_FORCEON)
            {
              memcpy((void *) anzeige_daten, (void const *) sensor[i], PAKET_LEN);
            }          
          for (j=0; j<PAKET_LEN-1; j++)
            {
              uart_send_byte_hex(anzeige_daten[j]);
              uart_send_byte(' ');
            }
          uart_send_text("\r\n"); 
        }  
      uart_send_text("\r\n");

      for (i=0; i<250; i++)
        {
          _delay_ms(10);
        }  
    }
}
